NMH_Type.maxLength = 99999;
NMH_Type.altCommand = "sendLengthyChatMessage($Thiscontrol);";

function sendLengthyChatMessage($Thiscontrol)
{
	%fullText = NMH_Type.getValue();
	%len = strlen(%fullText);

	//split into groups of 120, the regular maximum message length
	for(%a = 0; %a < 3; %a++)
	{
		%portion = getSubStr(%fullText, %a * 120, 120);

		NMH_Type.setValue(%portion);

		$Thiscontrol.send();

		//message doesn't go beyond current 120 chars, so stop
		if(120 * (%a+1) >= %len)
			break;
	}

	//maxLength is being reset somewhere, so fix it after every message.
	NMH_Type.maxLength = 99999;
}